<?php
/**
 * The template for displaying the header.
 *
 * Displays everything from the doctype declaration down to the navigation.
 */
?>
<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?>>	   
	<div class="main-container">
		<header id="site-header" role="banner" itemscope itemtype="http://schema.org/WPHeader">
			<div class="container">
				<div id="header">					
					<div class="navigation-wrap">
						<?php if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
							<?php if( $mts_options['mts_sticky_nav'] == '1' ) { ?>
								<div id="catcher" class="clear" ></div>
								<div id="primary-navigation" class="sticky-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
							<?php } else { ?>
								<div id="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
							<?php } ?>
							<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu', 'wooshop' ); ?></a>
							<?php if ( has_nav_menu( 'mobile' ) ) { ?>
								<nav class="navigation clearfix">
									<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
										<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
									<?php } ?>
								</nav>
								<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
									<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								</nav>
							<?php } else { ?>
								<nav class="navigation clearfix mobile-menu-wrapper">
									<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
										<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
									<?php } ?>
								</nav>
							<?php } ?>
							</div>
						<?php } ?>
					</div>
					<div class="header-lower-section">
						<div class="logo-wrap">
							<?php if ( $mts_options['mts_logo'] != '' && $mts_logo = wp_get_attachment_image_src( $mts_options['mts_logo'], 'full' ) ) { ?>
								<?php if ( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
									</h1><!-- END #logo -->
								<?php } else { ?>
									<h2 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>">
											<img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
									</h2><!-- END #logo -->
								<?php } ?>
							<?php } else { ?>
								<?php if ( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
									</h1><!-- END #logo -->
								<?php } else { ?>
									<h2 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
									</h2><!-- END #logo -->
								<?php } ?>
							<?php } ?>
						</div>
						<div class="header-lower-right-section">
							<?php if( !empty($mts_options['mts_header_search'])) { ?>
								<div class="widget widget_search">
									<form method="get" id="searchform" class="search-form" action="<?php echo esc_attr( home_url() ); ?>" _lpchecked="1">
										<fieldset>
											<?php if(mts_is_wc_active()) : ?>
												<input type="text" name="s" id="s" value="" placeholder="<?php if ( is_woocommerce() || is_page_template('page-home.php') ) { _e( 'Enter Product', 'wooshop' ); } else { _e( 'Enter Keyword...', 'wooshop' ); } ?>"  autocomplete="off" />
												<input type="hidden" name="post_type" value="<?php if ( is_woocommerce() || is_page_template('page-home.php') ) { echo 'product'; } else { echo 'post'; } ?>" class="post-type-input"/>
											<?php else : ?>
												<input type="text" name="s" id="s" value="" placeholder="<?php  _e( 'Enter Keyword...' ); ?>"  autocomplete="off" />
												<input type="hidden" name="post_type" value="post" class="post-type-input"/>
											<?php endif; ?>
											<button id="search-image" class="sbutton" type="submit" value=""><i class="fa fa-search"></i></button>
										</fieldset>
									</form>
								</div>
						  	<?php } ?>
						  	<?php if ( mts_is_wc_active() && $mts_options['mts_header_cart'] == '1' ) mts_cart(); ?>
							<?php if ( mts_is_wc_active() && $mts_options['mts_header_checkout'] == '1' ) mts_checkout(); ?>
						</div>
					</div>
				</div><!--#header-->
			</div><!--.container-->
		</header>