<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.6.3
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $woocommerce, $product;
if ( version_compare( $woocommerce->version, '3.0.0', ">=" ) ) {
	$attachment_ids = $product->get_gallery_image_ids();
} else {
	$attachment_ids = $product->get_gallery_attachment_ids();
}
$attachment_count = count( $attachment_ids );
if ( $attachment_count > 0 ) {
	$slider_container_class = ' product-img-slider-container loading';
	$slider_class           = ' product-img-slider';
} else {
	$slider_container_class = '';
	$slider_class           = '';
}
?>
<div class="images<?php echo $slider_container_class;?>">
	<div class="images-inner clearfix<?php echo $slider_class;?>">
		<?php
		if ( has_post_thumbnail() ) {

			$image_title = esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image_link  = wp_get_attachment_url( get_post_thumbnail_id() );
			$image       = get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array( 'title' => $image_title ) );

			if ( $attachment_count > 0 ) {
				$gallery = '[product-gallery]';
			} else {
				$gallery = '';
			}

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a href="%s" itemprop="image" class="woocommerce-main-image" title="%s" data-rel="prettyPhoto' . $gallery . '">%s</a>', $image_link, $image_title, $image ), $post->ID );
		}

		//$attachment_ids = $product->get_gallery_attachment_ids();

		if ( $attachment_ids ) {

			foreach ( $attachment_ids as $attachment_id ) {

				$image_link = wp_get_attachment_url( $attachment_id );

				if ( ! $image_link )
					continue;

				$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ) );
				$image_class = '';//esc_attr( implode( ' ', $classes ) );
				$image_title = esc_attr( get_the_title( $attachment_id ) );

				echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<a href="%s" class="%s" title="%s" data-rel="prettyPhoto[product-gallery]">%s</a>', $image_link, $image_class, $image_title, $image ), $attachment_id, $post->ID, $image_class );
			}
		}
		?>
	</div>

	<?php
	if ( $attachment_ids ) {
	?>
	<div class="product-img-thumbnails clearfix">
		<?php
		if ( has_post_thumbnail() ) {

			echo '<div class="product-img-thumbnail">'.get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) ).'</div>';
		}

		foreach ( $attachment_ids as $attachment_id ) {

			echo '<div class="product-img-thumbnail">'.wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ), 0 ).'</div>';
		}
		?>
	</div>
	<?php
	}
?>

</div>
